-- get the addon namespace
local addon, ns = ...

-- get the config values
local cfg = ns.cfg

-- get the library
local lib = ns.lib

function lib.defaults()
	cfg.Update=nil
	cfg.UpdateDOT=nil
	cfg.target='normal'
	cfg.class = select(2,UnitClass("player"))
	cfg.powertype=select(2,UnitPowerType("player"))
	cfg.local_power=_G[cfg.powertype]
--	cfg.local_power=_G["MANA_COST_LARGE"]
	cfg.local_casttime=hedlib.BlizzPattern(_G["SPELL_CAST_TIME_SEC"])
	cfg.local_cd=hedlib.BlizzPattern(_G["SPELL_RECAST_TIME_SEC"])
	cfg.lastUpdate=0
	cfg.nextUpdate=0
	
	cfg.pguid=UnitGUID("player")
	
	cfg.gcd=nil
	cfg.classfound=nil
	cfg.now=GetTime()
	cfg.castEnd=cfg.now
	cfg.timeleft=0
	cfg.maxmintime = 21
	cfg.ctimeleft = cfg.maxmintime

	cfg.power=UnitPower("player")
	cfg.realpower=cfg.power
	cfg.powermax=UnitPowerMax("player")
	_,cfg.pactiveRegen = GetPowerRegen()
	
	cfg.healthmax=UnitHealthMax("target")
	cfg.health=(cfg.healthmax==0) and 100 or hedlib.round(UnitHealth("target")*100/cfg.healthmax,0)
	
	cfg.phealthmax=UnitHealthMax("player")
	cfg.phealth=UnitHealth("player")
	cfg.phealthperc=(cfg.phealthmax==0) and 100 or hedlib.round(cfg.phealth*100/cfg.phealthmax,0)
	
	cfg.onupdate=nil
	cfg.onpower=nil
	cfg.onhealth=nil

	cfg.case = {}
	cfg.spells = {}
	cfg.sp_conv={}
	cfg.id2aura={}
	cfg.id2spell={}
	cfg.auras = {}
	cfg.plist = {}
	cfg.casting=nil
	cfg.spellcast = {}
	cfg.lastspell_time=nil
	cfg.watchunits={}
	Heddevents = {}
	Heddclassevents = {}
	cfg.combo = GetComboPoints('player', 'target')
	cfg.holy = UnitPower("player" , SPELL_POWER_HOLY_POWER)
	cfg.mode=""
	cfg.set={}
	cfg.setitems={}
	cfg.equip={}
	cfg.trinket={}
	cfg.res_spells ={}
	cfg.haste=0
	cfg.res_spells ={
		[GetSpellInfo(75)]=true
		}
		
	cfg.Weapons={}
	cfg.Weapons.Main, _, _, cfg.Weapons.Off = GetWeaponEnchantInfo()
	cfg.onGround = true
	cfg.spells_aoe={}
	cfg.spells_single={}
	cfg.spells_range={}
	
	lib.AddSpell("hs",{8690},nil,true) --Hearthstone
	lib.AddSpell("aa",{75,19881,6603}) --Auto Attack
	lib.AddAuras("Heroism",{32182,2825,80353,90355,49016,178207},"buff") -- Heroism
	cfg.heroism={[32182]=true,[2825]=true,[80353]=true,[90355]=true,[49016]=true,[178207]=true}
	cfg.TotalTargets=0
	cfg.TrackDOT=nil
	cfg.TargetsDOT={}
	cfg.maxDOTtime=3
	cfg.targetGUID=0
	cfg.TargetsBUFF={}
	cfg.shape="human"
	cfg.shapeid=GetShapeshiftFormID()
	cfg.cd_num=nil
	cfg.cd_last=nil
	cfg.CD={}
	cfg.cd_options=0
	cfg.dispell=nil
	cfg.talents={}
end

cfg.shapes={}
cfg.shapes={
[1]="Cat",
[2]="Tree",
--[3]="Travel",
--[4]="Aquatic",
[5]="Bear",
--[16]="Spirit Wolf",
[17]="Battle",
[18]="Defensive",
[19]="Berserker",
[22]="Metamorphosis",
--[27]="Flight",
[28]="Shadow",
[30]="Stealth",
[31]="Moonkin"
}

lib.defaults()